<?php
/**
 * @package PXaas - Saas & Software Landing Page Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date 19-04-2019
 * @since 1.0.0
 * @version 1.0.0
 * @copyright Copyright ( C ) 2014 - 2019 cththemes.com . All rights reserved.
 * @license GNU General Public License version 3 or later; see LICENSE
 */


/**
 * Template part for displaying audio posts
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 */

?>
<article id="post-<?php the_ID(); ?>" <?php post_class('post-single fw-post tranform-main-img'); ?>>
    <?php 
    if(pxaas_get_option('single_featured' )): ?>
        <?php 
        if(get_post_meta(get_the_ID(), '_cth_embed_video', true)!=""){ ?>   
            <div class="post-media-wrap fl-wrap">
                <?php
                    $audio_url = get_post_meta(get_the_ID(), '_cth_embed_video', true);
                    if(preg_match('/(.mp3|.ogg|.wma|.m4a|.wav)$/i', $audio_url )){
                        $attr = array(
                            'src'      => $audio_url,
                            'loop'     => '',
                            'autoplay' => '',
                            'preload'  => 'none'
                        );
                        echo wp_audio_shortcode( $attr );
                    }else{
                ?>
                    <div class="resp-audio">
                        <?php echo wp_oembed_get(esc_url( $audio_url ) , array('height'=>'166') ); ?>
                    </div>
                <?php } ?>
                
            </div>
        <?php
        }elseif(has_post_thumbnail( )){ ?>
        <div class="post-media-wrap fl-wrap">
            <?php the_post_thumbnail('pxaas-single-image',array('class'=>'resp-img') ); ?>
        </div>
        <?php } 
        ?>
    <?php 
    endif; ?>
    <div class="post-content-wrap single-page fl-wrap"> 
        <div class="post-content-wrap-title fl-wrap">
            <?php 
            the_title( '<h4 class="mt-20px mb-10px entry-title color-333 fw-600">', '</h4>' );
            ?>
        </div>
        
        <?php pxaas_get_single_post_cart_metar(); ?>
               
        <?php the_content();?>

        <div class="clearfix"></div>

        <?php
            wp_link_pages( array(
            'before'      => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'pxaas' ) . '</span>',
            'after'       => '</div>',
            'link_before' => '<span>',
            'link_after'  => '</span>',
            ) );
        ?>

        <?php if( pxaas_get_option( 'single_tags' ) && get_the_tags( ) ) :?>
            <div class="tags-socials">
                <div class="tags">
                    <?php the_tags('','&nbsp;','');?>                                                                          
                </div>
                <?php  if(function_exists('pxaas_addons_echo_socials_share')) pxaas_addons_echo_socials_share(); ?>
            </div>
        <?php endif;?>

        <hr class="mt-50px mb-50px">
        <!-- <span class="fw-separator"></span>  -->
    </div>
</article>
<!-- <span class="section-separator"></span> -->
